using System.IO;
using System;

public class Solution
{
    private const int Color = 1;
    private const int Red = 0;

    public static long Solve(int points)
    {
        long[,,] res = new long[148,22,2];

        for (int i = 0; i < 148; i++)
            for (int j = 0; j < 22; j++)
                for (int k = 0; k < 2; k++)
                {
                    if (i == 0){ res[i, j, k] = 1; continue; }
                    if (j < 6 && j > 0)
                    {
                        int next = 7 - j + 1;
                        res[i, j, k] = i >= next ? res[i - next, j - 1, k] : 0;
                        continue;
                    }
                    if (k == Red)
                    {
                        for (int next = 2; next <= 7 && i>= next; ++next)
                            res[i, j, k] += res[i - next, j, Color];
                    }
                    else
                    {
                        if (j == 6)
                        {
                            if (i >= 2) res[i, j, k] = res[i - 2, j - 1, k];
                        }
                        else
                        {
                            for (int next = 1; next <= j - 6 && i >= next; ++next)
                                res[i, j, k] += res[i - next, j - next, Red];
                        }
                    }
                }

        return res[points, 21, Color];
    }

    public static void Main(string[] args)
    {
        {
            int points = int.Parse(Console.ReadLine());
            {
                Console.Write(Solve(points));
            }
        }
    }
}